package com.pnkx.designpatterns.abstractfactory.factory;

import com.pnkx.designpatterns.abstractfactory.model.Application;
import com.pnkx.designpatterns.abstractfactory.model.LinuxOS;
import com.pnkx.designpatterns.abstractfactory.model.OperatingSystem;
import com.pnkx.designpatterns.abstractfactory.model.Vim;

/**
 * LinuxFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 17:50
 * @description 具体工厂：Linux工厂
 */
public class LinuxFactory implements SoftwareFactory {
    @Override
    public OperatingSystem createOperatingSystem() {
        return new LinuxOS();
    }
    @Override
    public Application openApplication() {
        return new Vim();
    }
}
