package com.pnkx.designpatterns.abstractfactory.factory;

import com.pnkx.designpatterns.abstractfactory.model.Application;
import com.pnkx.designpatterns.abstractfactory.model.OperatingSystem;

/**
 * SoftwareFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 17:47
 * @description 抽象工厂接口
 */
public interface SoftwareFactory {
    /**
     * 创建操作系统
     * @return 操作系统
     */
    OperatingSystem createOperatingSystem();

    /**
     * 打开程序
     * @return 程序
     */
    Application openApplication();
}
