package com.pnkx.designpatterns.abstractfactory.factory;

import com.pnkx.designpatterns.abstractfactory.model.Application;
import com.pnkx.designpatterns.abstractfactory.model.OperatingSystem;
import com.pnkx.designpatterns.abstractfactory.model.WeChat;
import com.pnkx.designpatterns.abstractfactory.model.WindowsOS;

/**
 * WindowsFactory
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 17:49
 * @description 具体工厂：Windows工厂
 */
public class WindowsFactory implements SoftwareFactory {
    @Override
    public OperatingSystem createOperatingSystem() {
        return new WindowsOS();
    }

    @Override
    public Application openApplication() {
        return new WeChat();
    }
}
