package com.pnkx.designpatterns.builder;

/**
 * Builder
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/27 14:23
 * @description 建造者
 */
public abstract class Builder {

    // 车
    protected Car car = new Car();

    /**
     * 组装发动机
     */
    public abstract void setEngine();

    /**
     * 组装轮胎
     */
    public abstract void setTire();

    /**
     * 组装座位
     */
    public abstract void setSeat();

    /**
     * 输出车
     * @return 车
     */
    public Car outputCar() {
        return car;
    }
}
