package com.pnkx.designpatterns.builder;

/**
 * Director
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/29 9:29
 * @description 指导者类
 */
public class Director {

    // 建造者
    private final Builder builder;

    /**
     * 构造方法
     * @param builder 建造者
     */
    public Director(Builder builder) {
        this.builder = builder;
    }

    /**
     * 开始造车
     * @return 车
     */
    public Car buildCar() {
        builder.setEngine();
        builder.setTire();
        builder.setSeat();
        return builder.outputCar();
    }
}
