package com.pnkx.designpatterns.factorymethod;

import com.pnkx.designpatterns.factorymethod.factory.AnimalFactory;
import com.pnkx.designpatterns.factorymethod.factory.CatFactory;
import com.pnkx.designpatterns.factorymethod.factory.DogFactory;
import com.pnkx.designpatterns.factorymethod.model.Animal;

/**
 * Main
 *
 * @author 裴浩宇
 * @version 1.0
 * @date 2023/10/17 17:52
 * @description 工厂方法模式客户端
 */
public class Main {
    public static void main(String[] args) {
        // 初始化猫咪工厂
        AnimalFactory catFactory = new CatFactory();
        Animal cat = catFactory.createAnimal();
        cat.sound();
        // 初始化小狗工厂
        AnimalFactory dogFactory = new DogFactory();
        Animal dog = dogFactory.createAnimal();
        dog.sound();
    }
}
